## dahdi-tools 2.2.1.1

=== Makefile ===
#
# Makefile for DAHDI tools
#
# Copyright (C) 2001-2008 Digium, Inc.
#
#

# If the file .dahdi.makeopts is present in your home directory, you can
# include all of your favorite menuselect options so that every time you download
# a new version of Asterisk, you don't have to run menuselect to set them.
# The file /etc/dahdi.makeopts will also be included but can be overridden
# by the file in your home directory.

GLOBAL_MAKEOPTS=$(wildcard /etc/dahdi.makeopts)
USER_MAKEOPTS=$(wildcard ~/.dahdi.makeopts)

ifeq ($(strip $(foreach var,clean distclean dist-clean update,$(findstring $(var),$(MAKECMDGOALS)))),)
 ifneq ($(wildcard menuselect.makeopts),)
  include menuselect.makeopts
 endif
endif

ifeq ($(strip $(foreach var,clean distclean dist-clean update,$(findstring $(var),$(MAKECMDGOALS)))),)
 ifneq ($(wildcard makeopts),)
  include makeopts
 endif
endif

SUBDIRS_UTILS_ALL:= ppp
SUBDIRS_UTILS := xpp

OPTFLAGS=-O2
CFLAGS+=-I. $(OPTFLAGS) -g -fPIC -Wall -DBUILDING_TONEZONE #-DTONEZONE_DRIVER
ifneq (,$(findstring ppc,$(UNAME_M)))
CFLAGS+=-fsigned-char
endif
ifneq (,$(findstring x86_64,$(UNAME_M)))
CFLAGS+=-m64
endif

ifeq ($(DAHDI_DEVMODE),yes)
  CFLAGS+=-Werror -Wunused -Wundef $(DAHDI_DECLARATION_AFTER_STATEMENT) -Wmissing-format-attribute -Wformat-security #-Wformat=2
endif

ROOT_PREFIX=

# extra cflags to build dependencies. Recursively expanded.
MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP

CFLAGS+=$(DAHDI_INCLUDE)

CHKCONFIG	:= $(wildcard /sbin/chkconfig)
UPDATE_RCD	:= $(wildcard /usr/sbin/update-rc.d)
ifeq (,$(DESTDIR))
  ifneq (,$(CHKCONFIG))
    ADD_INITD	:= $(CHKCONFIG) --add dahdi
  else
    ifneq (,$(UPDATE_RCD))
      ADD_INITD	:= $(UPDATE_RCD) dahdi defaults 15 30
    endif
  endif
endif

INITRD_DIR	:= $(firstword $(wildcard $(DESTDIR)/etc/rc.d/init.d $(DESTDIR)/etc/init.d))
ifneq (,$(INITRD_DIR))
  INIT_TARGET	:= $(INITRD_DIR)/dahdi
  COPY_INITD	:= install -D dahdi.init $(INIT_TARGET)
endif

RCCONF_FILE	= /etc/dahdi/init.conf
MODULES_FILE	= /etc/dahdi/modules
GENCONF_FILE	= /etc/dahdi/genconf_parameters
MODPROBE_FILE	= /etc/modprobe.d/dahdi
BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist

NETSCR_DIR	:= $(firstword $(wildcard $(DESTDIR)/etc/sysconfig/network-scripts ))
ifneq (,$(NETSCR_DIR))
  NETSCR_TARGET	:= $(NETSCR_DIR)/ifup-hdlc
  COPY_NETSCR	:= install -D ifup-hdlc $(NETSCR_TARGET)
endif

ifneq ($(wildcard .version),)
  TOOLSVERSION:=$(shell cat .version)
else
ifneq ($(wildcard .svn),)
  TOOLSVERSION=$(shell build_tools/make_version . dahdi/tools)
endif
endif

LTZ_A:=libtonezone.a
LTZ_A_OBJS:=zonedata.o tonezone.o version.o
LTZ_SO:=libtonezone.so
LTZ_SO_OBJS:=zonedata.lo tonezone.lo version.o
LTZ_SO_MAJOR_VER:=2
LTZ_SO_MINOR_VER:=0

# sbindir, libdir, includedir and mandir are defined in makeopts
# (from configure).
BIN_DIR:=$(sbindir)
LIB_DIR:=$(libdir)
INC_DIR:=$(includedir)/dahdi
MAN_DIR:=$(mandir)/man8
CONFIG_DIR:=$(sysconfdir)/dahdi
CONFIG_FILE:=$(CONFIG_DIR)/system.conf

# Utilities we build with a standard build procedure:
UTILS		= dahdi_tool dahdi_test dahdi_monitor dahdi_speed sethdlc dahdi_cfg \
		  fxstest fxotune dahdi_diag dahdi_scan

# some tests:
UTILS		+= patgen pattest patlooptest hdlcstress hdlctest hdlcgen \
		   hdlcverify timertest

BINS:=fxotune fxstest sethdlc dahdi_cfg dahdi_diag dahdi_monitor dahdi_speed dahdi_test dahdi_scan dahdi_tool
BINS:=$(filter-out $(MENUSELECT_UTILS),$(BINS))
MAN_PAGES:=$(wildcard $(BINS:%=doc/%.8))

TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest
# All the man pages. Not just installed ones:
GROFF_PAGES	:= $(wildcard doc/*.8 xpp/*.8)
GROFF_HTML	:= $(GROFF_PAGES:%=%.html)

GENERATED_DOCS	:= $(GROFF_HTML) README.html README.Astribank.html

all: menuselect.makeopts 
	@$(MAKE) _all

_all: prereq programs

libs: $(LTZ_SO) $(LTZ_A)

utils-subdirs:
	@for dir in $(SUBDIRS_UTILS); do \
		$(MAKE) -C $$dir; \
	done

programs: libs utils

utils: $(BINS) utils-subdirs

version.c: FORCE
	@TOOLSVERSION="${TOOLSVERSION}" build_tools/make_version_c > $@.tmp
	@if cmp -s $@.tmp $@ ; then :; else \
		mv $@.tmp $@ ; \
	fi
	@rm -f $@.tmp

tests: $(TEST_BINS)

$(UTILS): %: %.o

$(UTILS): version.o

%.o: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

%.lo: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

%: %.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

prereq: config.status

dahdi_tool: CFLAGS+=$(NEWT_INCLUDE)
dahdi_tool: LIBS+=$(NEWT_LIB)

dahdi_speed: CFLAGS+=-O0

$(LTZ_A): $(LTZ_A_OBJS)
	ar rcs $@ $^
	ranlib $@

$(LTZ_SO): $(LTZ_SO_OBJS)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) -o $@ $^ -lm

dahdi_cfg: $(LTZ_A)
dahdi_cfg: LIBS+=-lm

fxstest: $(LTZ_SO)
fxstest: LIBS+=-lm
fxotune: LIBS+=-lm

tonezones.txt: zonedata.c
	perl -ne 'next unless (/\.(country|description) = *"([^"]*)/); \
		print (($$1 eq "country")? "* $$2\t":"$$2\n");' $<  \
	>$@

%.asciidoc: %.sample
	perl -n -e \
		'if (/^#($$|\s)(.*)/){ if (!$$in_doc){print "\n"}; $$in_doc=1; print "$$2\n" } else { if ($$in_doc){print "\n"}; $$in_doc=0; print "  $$_" }' \
		$< \
	| perl -p -e 'if (/^  #?(\w+)=/ && ! exists $$cfgs{$$1}){my $$cfg = $$1; $$cfgs{$$cfg} = 1; s/^/\n[[cfg_$$cfg]]\n/}'  >$@

docs: $(GENERATED_DOCS)

genconf_parameters.sample: xpp/genconf_parameters
	cp $< $@

README.html: README system.conf.asciidoc init.conf.asciidoc tonezones.txt \
  UPGRADE.txt genconf_parameters.asciidoc
	$(ASCIIDOC) -n -a toc -a toclevels=3 $<

README.Astribank.html: xpp/README.Astribank
	$(ASCIIDOC) -o $@ -n -a toc -a toclevels=4 $<

# on Debian: this requires the full groof, not just groff-base.
%.8.html: %.8
	man -Thtml $^ >$@

htmlman: $(GROFF_HTML)

install: all install-programs
	@echo "###################################################"
	@echo "###"
	@echo "### DAHDI tools installed successfully."
	@echo "### If you have not done so before, install init scripts with:"
	@echo "###"
	@echo "###   make config"
	@echo "###"
	@echo "###################################################"

install-programs: install-utils install-libs

install-utils: utils install-utils-subdirs
ifneq (,$(BINS))
	install -d $(DESTDIR)$(BIN_DIR)
	install  $(BINS) $(DESTDIR)$(BIN_DIR)/
	install -d $(DESTDIR)$(MAN_DIR)
	install -m 644 $(MAN_PAGES) $(DESTDIR)$(MAN_DIR)/
endif
ifeq (,$(wildcard $(DESTDIR)$(CONFIG_FILE)))
	$(INSTALL) -D -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
endif

install-libs: libs
	$(INSTALL) -D -m 755 $(LTZ_A) $(DESTDIR)$(LIB_DIR)/$(LTZ_A)
	$(INSTALL) -D -m 755 $(LTZ_SO) $(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER)
ifeq (,$(DESTDIR))
	if [ `id -u` = 0 ]; then \
		/sbin/ldconfig || : ;\
	fi
endif
	rm -f $(DESTDIR)$(LIB_DIR)/$(LTZ_SO)
	$(LN) -sf $(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) \
		$(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER)
	$(LN) -sf $(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) \
		$(DESTDIR)$(LIB_DIR)/$(LTZ_SO)
	# Overwrite the 1.0 links out there.  dahdi-tools 2.0.0 installed
	# 1.0 links but dahdi-tools changed them to 2.0 in order to explicitly
	# break applications linked with zaptel.  But, this also meant that
	# applications linked with libtonezone.so.1.0 broke when dahdi-tools
	# 2.1.0 was installed.
	$(LN) -sf $(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) \
		$(DESTDIR)$(LIB_DIR)/$(LTZ_SO).1.0
	$(LN) -sf $(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER) \
		$(DESTDIR)$(LIB_DIR)/$(LTZ_SO).1
ifneq (no,$(USE_SELINUX))
  ifeq (,$(DESTDIR))
	/sbin/restorecon -v $(DESTDIR)$(LIB_DIR)/$(LTZ_SO)
  endif
endif
	$(INSTALL) -D -m 644 tonezone.h $(DESTDIR)$(INC_DIR)/tonezone.h

install-utils-subdirs:
	@for dir in $(SUBDIRS_UTILS); do \
		$(MAKE) -C $$dir install; \
	done

config:
ifneq (,$(COPY_INITD))
	$(COPY_INITD)
endif
ifeq (,$(wildcard $(DESTDIR)$(RCCONF_FILE)))
	$(INSTALL) -D -m 644 init.conf.sample $(DESTDIR)$(RCCONF_FILE)
endif
ifeq (,$(wildcard $(DESTDIR)$(MODULES_FILE)))
	$(INSTALL) -D -m 644 modules.sample $(DESTDIR)$(MODULES_FILE)
endif
ifeq (,$(wildcard $(DESTDIR)$(GENCONF_FILE)))
	$(INSTALL) -D -m 644 xpp/genconf_parameters $(DESTDIR)$(GENCONF_FILE)
endif
ifeq (,$(wildcard $(DESTDIR)$(MODPROBE_FILE)))
	$(INSTALL) -D -m 644 modprobe.conf.sample $(DESTDIR)$(MODPROBE_FILE)
endif
ifeq (,$(wildcard $(DESTDIR)$(BLACKLIST_FILE)))
	$(INSTALL) -D -m 644 blacklist.sample $(DESTDIR)$(BLACKLIST_FILE)
endif
ifneq (,$(COPY_NETSCR))
	$(COPY_NETSCR)
endif
ifneq (,$(ADD_INITD))
	$(ADD_INITD)
endif
	@echo "DAHDI has been configured."
	@echo ""
	@echo "List of detected DAHDI devices:"
	@echo ""
	@if [ `xpp/dahdi_hardware | tee /dev/stderr | wc -l` -eq 0 ]; then \
		echo "No hardware found"; \
	else \
		echo ""; \
		echo "run 'dahdi_genconf modules' to load support for only " ;\
		echo "the DAHDI hardware installed in this system.  By "; \
		echo "default support for all DAHDI hardware is loaded at "; \
		echo "DAHDI start. "; \
	fi

update:
	@if [ -d .svn ]; then \
		echo "Updating from Subversion..." ; \
		svn update | tee update.out; \
		rm -f .version; \
		if [ `grep -c ^C update.out` -gt 0 ]; then \
			echo ; echo "The following files have conflicts:" ; \
			grep ^C update.out | cut -b4- ; \
		fi ; \
		rm -f update.out; \
	else \
		echo "Not under version control";  \
	fi

clean:
	-@$(MAKE) -C menuselect clean
	rm -f $(BINS) $(TEST_BINS)
	rm -f *.o dahdi_cfg tzdriver sethdlc
	rm -f $(LTZ_SO) $(LTZ_A) *.lo
	@for dir in $(SUBDIRS_UTILS_ALL); do \
		$(MAKE) -C $$dir clean; \
	done
	@for dir in $(SUBDIRS_UTILS); do \
		$(MAKE) -C $$dir clean; \
	done
	rm -f libtonezone*
	rm -f fxotune
	rm -f core
	rm -f dahdi_cfg-shared fxstest
	rm -rf $(GENERATED_DOCS) *.asciidoc tonezones.txt

distclean: dist-clean

dist-clean: clean
	@$(MAKE) -C menuselect dist-clean
	rm -f makeopts menuselect.makeopts menuselect-tree build_tools/menuselect-deps
	rm -f config.log config.status
	rm -f .*.d

config.status: configure
	@CFLAGS="" ./configure
	@echo "****"
	@echo "**** The configure script was just executed, so 'make' needs to be"
	@echo "**** restarted."
	@echo "****"
	@exit 1

menuselect.makeopts: menuselect/menuselect menuselect-tree makeopts
	menuselect/menuselect --check-deps $@ $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS)

menuconfig: menuselect

cmenuconfig: cmenuselect

gmenuconfig: gmenuselect

nmenuconfig: nmenuselect

menuselect: menuselect/cmenuselect menuselect/nmenuselect menuselect/gmenuselect
	@if [ -x menuselect/nmenuselect ]; then \
		$(MAKE) nmenuselect; \
	elif [ -x menuselect/cmenuselect ]; then \
		$(MAKE) cmenuselect; \
	elif [ -x menuselect/gmenuselect ]; then \
		$(MAKE) gmenuselect; \
	else \
		echo "No menuselect user interface found. Install ncurses,"; \
		echo "newt or GTK libraries to build one and re-rerun"; \
		echo "'make menuselect'."; \
	fi

cmenuselect: menuselect/cmenuselect menuselect-tree
	-@menuselect/cmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

gmenuselect: menuselect/gmenuselect menuselect-tree
	-@menuselect/gmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

nmenuselect: menuselect/nmenuselect menuselect-tree
	-@menuselect/nmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

# options for make in menuselect/
MAKE_MENUSELECT=CC="$(HOST_CC)" CXX="$(CXX)" LD="" AR="" RANLIB="" CFLAGS="" $(MAKE) -C menuselect CONFIGURE_SILENT="--silent"

menuselect/menuselect: menuselect/makeopts
	+$(MAKE_MENUSELECT) menuselect

menuselect/cmenuselect: menuselect/makeopts
	+$(MAKE_MENUSELECT) cmenuselect

menuselect/gmenuselect: menuselect/makeopts
	+$(MAKE_MENUSELECT) gmenuselect

menuselect/nmenuselect: menuselect/makeopts
	+$(MAKE_MENUSELECT) nmenuselect

menuselect/makeopts: makeopts
	+$(MAKE_MENUSELECT) makeopts

menuselect-tree: dahdi.xml
	@echo "Generating input for menuselect ..."
	@build_tools/make_tree > $@

=== xpp/Makefile ===
PEDANTIC	= -ansi -pedantic -std=c99

INSTALL		= install
INSTALL_DATA	= install -m 644

#
# Ugly hack to find kernel directories before/after the split
# to kernel/user-space.
#
# These variables should be passed to us. But until then...
#
DAHDI_TOOLSDIR	?= ..
DAHDI_KERNELDIR	=

-include $(DAHDI_TOOLSDIR)/makeopts

INSTALL_DATA	= $(INSTALL) -m 644

# In 1.4 those are provided by autoconf through makeopts
prefix		?= /usr
datadir		?= $(prefix)/share
mandir		?= $(datadir)/man
INSTALL		?= install

INSTALL_DATA	= $(INSTALL) -m 644

SBINDIR		= $(prefix)/sbin
DATADIR		= $(datadir)/dahdi
MANDIR		= $(mandir)/man8
HOTPLUG_USB_DIR	= /etc/hotplug/usb
PERLLIBDIR	:= $(shell eval `perl -V:sitelib`; echo "$$sitelib")
PERL_DIRS	:= $(shell cd perl_modules; find * -name '[A-Z]*' -type d| xargs)
PERL_MODS_PAT	:= *.pm $(PERL_DIRS:%=%/*.pm)
PERL_MODS	:= $(shell cd perl_modules; echo $(PERL_MODS_PAT))

# Variables that should be defined above, but need sane defaults:
# FIXME: Are those values really sane?
HOSTCC		?= $(CC)


CFLAGS		= -g -Wall $(EXTRA_CFLAGS)

%.8: %
	pod2man --section 8 $^ > $@ || $(RM) $@
PERL_SCRIPTS	=	\
		dahdi_registration	\
		xpp_sync	\
		lsdahdi		\
		xpp_blink	\
		dahdi_genconf	\
		dahdi_hardware	\
		twinstar	\
		#

PERL_MANS	= $(PERL_SCRIPTS:%=%.8)

ABHEXLOAD_OBJS		= astribank_hexload.o hexfile.o pic_loader.o astribank_usb.o mpp_funcs.o debug.o
ABTOOL_OBJS		= astribank_tool.o astribank_usb.o mpp_funcs.o debug.o
ABALLOW_OBJS		= astribank_allow.o astribank_usb.o mpp_funcs.o debug.o

TARGETS	= .perlcheck
PROG_INSTALL	= 
MAN_INSTALL	= $(PROG_INSTALL:%=%.8)
ifeq	(1,$(PBX_USB))
TARGETS	+= fpga_load		\
	   astribank_tool	\
	   astribank_hexload	\
	   astribank_allow	\
	   astribank_is_starting	\
	   test_parse
PROG_INSTALL	+= fpga_load astribank_tool astribank_hexload astribank_allow astribank_is_starting
endif
ifneq	(,$(PERLLIBDIR))
PROG_INSTALL	+= $(PERL_SCRIPTS)
TARGETS		+= $(PERL_MANS)
endif

all: $(TARGETS)

docs: $(PERL_MANS)

install: all
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) $(PROG_INSTALL) $(DESTDIR)$(SBINDIR)/
	$(INSTALL) -d $(DESTDIR)$(DATADIR)
	$(INSTALL) xpp_fxloader astribank_hook $(DESTDIR)$(DATADIR)/
	$(INSTALL) waitfor_xpds $(DESTDIR)$(DATADIR)/
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL_DATA) $(MAN_INSTALL) $(DESTDIR)$(MANDIR)/
	$(INSTALL) -d $(DESTDIR)$(HOTPLUG_USB_DIR)
	$(INSTALL_DATA) xpp_fxloader.usermap $(DESTDIR)$(HOTPLUG_USB_DIR)/
	# for backward compatibility and for hotplug users:
	ln -sf $(DATADIR)/xpp_fxloader $(DESTDIR)$(HOTPLUG_USB_DIR)/
ifneq	(,$(PERLLIBDIR))
	$(INSTALL) -d $(DESTDIR)$(PERLLIBDIR)
	for i in $(PERL_DIRS); \
	do \
		$(INSTALL) -d "$(DESTDIR)$(PERLLIBDIR)/$$i"; \
	done
	for i in $(PERL_MODS); \
	do \
		$(INSTALL_DATA) "perl_modules/$$i" "$(DESTDIR)$(PERLLIBDIR)/$$i"; \
	done
endif

fpga_load: fpga_load.o hexfile.o
	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb

astribank_hexload: $(ABHEXLOAD_OBJS)
	$(CC) -L. -o $@ $(ABHEXLOAD_OBJS) $(EXTRA_LIBS) -lusb

astribank_tool: $(ABTOOL_OBJS)
	$(CC) -L. -o $@ $(ABTOOL_OBJS) $(EXTRA_LIBS) -lusb

astribank_allow: $(ABALLOW_OBJS)
	$(CC) -L. -o $@ $(ABALLOW_OBJS) $(EXTRA_LIBS) -lusb

astribank_is_starting: astribank_is_starting.o
	$(CC) -L. -o $@ $^ $(EXTRA_LIBS)

fpga_load.o: CFLAGS+=-D_GNU_SOURCE	# We use memrchr()

test_parse: test_parse.o hexfile.o
	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb


.perlcheck: $(PERL_SCRIPTS)
	for i in $^; do perl -I./perl_modules -c $$i || exit 1; done
	touch $@

clean:
	$(RM) .depend *.o $(TARGETS)

.PHONY: depend
depend: .depend
.depend: *.c *.h
	@$(CC) -MM *.c > $@ || rm -f $@

include .depend

## dahdi-tools 2.4.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for DAHDI tools
 #
-# Copyright (C) 2001-2008 Digium, Inc.
+# Copyright (C) 2001-2010 Digium, Inc.
 #
 #
 
@@ -70,8 +70,8 @@
 RCCONF_FILE	= /etc/dahdi/init.conf
 MODULES_FILE	= /etc/dahdi/modules
 GENCONF_FILE	= /etc/dahdi/genconf_parameters
-MODPROBE_FILE	= /etc/modprobe.d/dahdi
-BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist
+MODPROBE_FILE	= /etc/modprobe.d/dahdi.conf
+BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist.conf
 
 NETSCR_DIR	:= $(firstword $(wildcard $(DESTDIR)/etc/sysconfig/network-scripts ))
 ifneq (,$(NETSCR_DIR))
@@ -109,13 +109,13 @@
 
 # some tests:
 UTILS		+= patgen pattest patlooptest hdlcstress hdlctest hdlcgen \
-		   hdlcverify timertest
-
-BINS:=fxotune fxstest sethdlc dahdi_cfg dahdi_diag dahdi_monitor dahdi_speed dahdi_test dahdi_scan dahdi_tool
+		   hdlcverify timertest dahdi_maint
+
+BINS:=fxotune fxstest sethdlc dahdi_cfg dahdi_diag dahdi_monitor dahdi_speed dahdi_test dahdi_scan dahdi_tool dahdi_maint
 BINS:=$(filter-out $(MENUSELECT_UTILS),$(BINS))
 MAN_PAGES:=$(wildcard $(BINS:%=doc/%.8))
 
-TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest
+TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest dahdi_maint
 # All the man pages. Not just installed ones:
 GROFF_PAGES	:= $(wildcard doc/*.8 xpp/*.8)
 GROFF_HTML	:= $(GROFF_PAGES:%=%.html)
@@ -230,12 +230,14 @@
 	install -m 644 $(MAN_PAGES) $(DESTDIR)$(MAN_DIR)/
 endif
 ifeq (,$(wildcard $(DESTDIR)$(CONFIG_FILE)))
-	$(INSTALL) -D -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
+	$(INSTALL) -d $(DESTDIR)$(CONFIG_DIR)
+	$(INSTALL) -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
 endif
 
 install-libs: libs
-	$(INSTALL) -D -m 755 $(LTZ_A) $(DESTDIR)$(LIB_DIR)/$(LTZ_A)
-	$(INSTALL) -D -m 755 $(LTZ_SO) $(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER)
+	$(INSTALL) -d -m 755 $(DESTDIR)/$(LIB_DIR)
+	$(INSTALL) -m 755 $(LTZ_A) $(DESTDIR)$(LIB_DIR)/
+	$(INSTALL) -m 755 $(LTZ_SO) $(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER)
 ifeq (,$(DESTDIR))
 	if [ `id -u` = 0 ]; then \
 		/sbin/ldconfig || : ;\
@@ -260,7 +262,8 @@
 	/sbin/restorecon -v $(DESTDIR)$(LIB_DIR)/$(LTZ_SO)
   endif
 endif
-	$(INSTALL) -D -m 644 tonezone.h $(DESTDIR)$(INC_DIR)/tonezone.h
+	$(INSTALL) -d -m 755 $(DESTDIR)/$(INC_DIR)
+	$(INSTALL) -m 644 tonezone.h $(DESTDIR)$(INC_DIR)/
 
 install-utils-subdirs:
 	@for dir in $(SUBDIRS_UTILS); do \
@@ -404,7 +407,3 @@
 menuselect/makeopts: makeopts
 	+$(MAKE_MENUSELECT) makeopts
 
-menuselect-tree: dahdi.xml
-	@echo "Generating input for menuselect ..."
-	@build_tools/make_tree > $@
-

=== xpp/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 SBINDIR		= $(prefix)/sbin
 DATADIR		= $(datadir)/dahdi
 MANDIR		= $(mandir)/man8
-HOTPLUG_USB_DIR	= /etc/hotplug/usb
+HOTPLUG_USB_DIR	= $(sysconfdir)/hotplug/usb
 PERLLIBDIR	:= $(shell eval `perl -V:sitelib`; echo "$$sitelib")
 PERL_DIRS	:= $(shell cd perl_modules; find * -name '[A-Z]*' -type d| xargs)
 PERL_MODS_PAT	:= *.pm $(PERL_DIRS:%=%/*.pm)
@@ -38,7 +38,7 @@
 HOSTCC		?= $(CC)
 
 
-CFLAGS		= -g -Wall $(EXTRA_CFLAGS)
+CFLAGS		+= -g -Wall $(USB_INCLUDE)
 
 %.8: %
 	pod2man --section 8 $^ > $@ || $(RM) $@
@@ -58,17 +58,16 @@
 ABTOOL_OBJS		= astribank_tool.o astribank_usb.o mpp_funcs.o debug.o
 ABALLOW_OBJS		= astribank_allow.o astribank_usb.o mpp_funcs.o debug.o
 
-TARGETS	= .perlcheck
-PROG_INSTALL	= 
+TARGETS	= .perlcheck astribank_is_starting
+PROG_INSTALL	= astribank_is_starting
 MAN_INSTALL	= $(PROG_INSTALL:%=%.8)
 ifeq	(1,$(PBX_USB))
 TARGETS	+= fpga_load		\
 	   astribank_tool	\
 	   astribank_hexload	\
 	   astribank_allow	\
-	   astribank_is_starting	\
 	   test_parse
-PROG_INSTALL	+= fpga_load astribank_tool astribank_hexload astribank_allow astribank_is_starting
+PROG_INSTALL	+= fpga_load astribank_tool astribank_hexload astribank_allow
 endif
 ifneq	(,$(PERLLIBDIR))
 PROG_INSTALL	+= $(PERL_SCRIPTS)
@@ -104,25 +103,27 @@
 endif
 
 fpga_load: fpga_load.o hexfile.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb
+fpga_load: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_hexload: $(ABHEXLOAD_OBJS)
-	$(CC) -L. -o $@ $(ABHEXLOAD_OBJS) $(EXTRA_LIBS) -lusb
+astribank_hexload: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_tool: $(ABTOOL_OBJS)
-	$(CC) -L. -o $@ $(ABTOOL_OBJS) $(EXTRA_LIBS) -lusb
+astribank_tool: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_allow: $(ABALLOW_OBJS)
-	$(CC) -L. -o $@ $(ABALLOW_OBJS) $(EXTRA_LIBS) -lusb
+astribank_allow: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_is_starting: astribank_is_starting.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS)
+astribank_is_starting: LIBS+=$(EXTRA_LIBS)
 
 fpga_load.o: CFLAGS+=-D_GNU_SOURCE	# We use memrchr()
 
 test_parse: test_parse.o hexfile.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb
+test_parse: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
+%: %.o
+	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 .perlcheck: $(PERL_SCRIPTS)
 	for i in $^; do perl -I./perl_modules -c $$i || exit 1; done

=== debian/changelog ===
dahdi-tools (1:2.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #581076, #582094).
  * Patches hardware_rescan, perl_fix_noserial, perl_fix_transportdir,
    astribank_allow_ignoreend, init_unload_modules and wcb4xxp_extra_trunk
    dropped: merged upstream.
  * dahdi-linux 2.3.0 is required (extra config options for dahdi_cfg).
  * Convert to dpkg v.3 format.
  * Standards version: 3.9.1.0 (No change needed.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 13 Mar 2011 23:45:36 +0200

dahdi-tools (1:2.2.1.1-1) unstable; urgency=low

  * New minor upstream release.
  * Patch wcb4xxp_extra_trunk: recognize some extra HFC-[248]S PCI IDs.
  * DEP3 heaaders for all patches in use.
  * Refreshed some patches.
  * Standards version 3.8.4 (no change needed).
  * Use a @debian.org adderss.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 18 Apr 2010 15:53:48 +0300

dahdi-tools (1:2.2.1-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #536257, #564381).
  * Patch 'bashism' dropped: merged upstream. 
  * Patch xpp_no_extra_at dropped: merged upstream. 
  * Add an example genconf_parameters.
  * Compat level 7.
  * Bump standars version to 3.8.3.0 (no change needed)
  * Udev rules are now in dahdi-linux.
  * Patches perl_fix_noserial, perl_fix_transportdir: Fixes for some
    minor perl issues.
  * Add the missing ${misc:Depends}, as per lintian. 
  * Patch astribank_allow_ignoreend: an extra missing patch from upstream. 
  * Patches init_unload_modules and init_unload_oslec: also unload OSLEC
    when unloading all modules.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Sun, 07 Mar 2010 04:43:13 +1100

dahdi-tools (1:2.2.0-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
  * Patch bashism: fixes bashism in waitfor_xpds (Closes: #535865).
  * Patch hardware_rescan: backport Dahdi::Hardware->rescan()
  * Patch no_extra_at: backport of a per/xpp fix. 

  [ Mark Purcell ]
  * Reorder debian/watch to correctly handle upstream -rc

 -- Mark Purcell <msp@debian.org>  Sat, 17 Oct 2009 09:12:40 +1100

dahdi-tools (1:2.2.0~rc3-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release candidate.

  [ Mark Purcell ]
  * Cleanup debian/watch to point to upstream dahdi-tools ;-)
  * Update Standards version -> 3.8.1
  * Fix binary-control-field-duplicates-source

 -- Mark Purcell <msp@debian.org>  Mon, 01 Jun 2009 08:23:38 +1000

dahdi-tools (1:2.2.0~rc2-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. A matching dahdi-source is needed.
  * Patch echocan_oslec: set oslec as default EC in generated config
  * A proper README.Debian
  * Updated debian/copyright document internal differences in package
    - meet ftp-master needs for NEW

  [ Victor Seva ]
  * fix debian/watch.

 -- Mark Purcell <msp@debian.org>  Wed, 20 May 2009 07:35:30 +1000

dahdi-tools (1:2.1.0.2-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * Zaptel renamed DAHDI and split to dahdi-linux and dahdi-tools. 
  * This package no longer includes drivers and m-a magic.
  * DAHDI is incompatible (ABI and API) with Zaptel.
  * NEW libtonezone2.0 due to its usage of DAHDI.
  * Programs renamed. E.g. dahdi_cfg instead of ztcfg.
  * Configurations files are now under /etc/dahdi .
  * Using the upstream init.d script. This script is responsible for 
    loading modules unlike the Zaptel one.
  * Depend on groff and man-db for man -Thtml used in the upstream 
    'docs' target.
  * Delete false(?) libtonezone.so.1 symlinks.
  * Add missing dh_perl check (for perl modules).

  [ Mark Purcell ]
  * Add myself to uploaders
  * Upload to experimental while we await NEW & debian-release

 -- Mark Purcell <msp@debian.org>  Sun, 29 Mar 2009 18:07:57 +1100

zaptel (1:1.4.11~dfsg-3) unstable; urgency=low

  * zaptel.init: exit on a different condition: Nicer handling of ztdummy.
  * zaptel.init: Give a sane default to XPP_SYNC. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Mon, 03 Nov 2008 09:35:23 +0200

zaptel (1:1.4.11~dfsg-2) unstable; urgency=low

  * Patch xpp_fxs_power: Fixed an issue with hook detection of the Astribank
    FXS module.
  * Don't fail init.d script if fxotune fails. This may happen if running it
    when Asterisk is already running.
  * Bump standards version to 3.8.0.0 .
  * Ignore false lintian warning ("m-a a-i" has "a a").
  * Patch xpp_fxo_cid_always: do always pass PCM if that's what the user
    asked.
  * Patch vzaphfc_proc_root_dir: fix vzaphfc on 2.6.26.
  * Patch wcte12xp_flags: Proper time for irq save flags.
  * Patch headers_2627: Fix location of semaphore.h for 2.6.27 .
  * Patch xpp_fxs_dtmf_leak: Don't play DTMFs to the wrong channel.
  * Patch wctdm_fix_alarm: Fix sending channel alarms.
  * Patch device_class_2626: Fix building 2.6.26 (Closes: #493397).
  * Using dh_lintian for lintian overrides, hence requiring debhelper 6.0.7.
  * Lintian: we know we have direct changes. Too bad we're half-upstream :-(
  * Fix doc-base section names. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Thu, 28 Aug 2008 22:58:23 +0300

zaptel (1:1.4.11~dfsg-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Update qozap from bristuff-0.4.0-RC1.
    - fixed duoBRI miniPCI detection in qozap.
    - added support for PCIe variants of duoBRI and quadBRI.
  * Update cwain from bristuff-0.4.0-RC1.
  * Update ztgsm from bristuff-0.4.0-RC1.
    - reduced baudrate (serial interface to gsm modules) to be more robust
      against irq misses in loaded systems
    - improved serial debug output
    - added module parameter "baudrate" (the default is 19200)
    - added AT commands for SIM card selection
    - added AT commands for shutting down/starting GSM modules

  [ Tzafrir Cohen ]
  * New upstream release.
  * Patch xpp_fix_t1 dropped: merged upstream.
  * Finally removing 00list.
  * Patch sigcap_dacs: tell zaphfc and vzaphfc to report support for
    ZT_SIG_DACS. Makes ztscan report then as digital spans.


=== debian/control ===
Source: dahdi-tools
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
# groff, man-db and asciidoc are required for generating documentation
Build-Depends: debhelper (>= 7), dahdi-source (>= 1:2.3.0), libnewt-dev, bzip2, libusb-dev, 
 asciidoc, groff, man-db
Standards-Version: 3.9.1
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-tools/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/dahdi-tools/?op=log

Package: dahdi
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux
Conflicts: zaptel
Replaces: zaptel
Description: utilities for using the DAHDI kernel modules
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment.
 .
 This package includes userspace utilities required to configure DAHDI 
 modules.

Package: libtonezone2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tonezone library (runtime)
 A library for generating tones to be sent through the DAHDI telephony
 interface.

Package: libtonezone-dev
Section: libdevel
Architecture: any
Depends: libtonezone2.0 (= ${binary:Version}), ${misc:Depends}
Description: tonezone library (development)
 A library for generating tones to be sent through the DAHDI telephony
 interface.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
USE_BRISTUFF=1
export HOTPLUG_FIRMWARE=1

-include /usr/share/quilt/quilt.make

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

## MODULE-ASSISTANT STUFF
# prefix of the target package name
PREFIX:=dahdi
SKPG:=$(PREFIX)-source
PACKAGE:=$(PREFIX)
PACKAGE_SRC:=$(PREFIX)-tools
# modifieable for experiments or debugging m-a

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//')
UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/~dfsg\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')

UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz

build: patch build-stamp
build-stamp: 
	dh_testdir
	
	cp -a dahdi.init debian/
	./configure
	$(MAKE) programs docs
	# FIXME: xpp/README.Astribank.html
	touch $@

clean: clean-unpatched unpatch
clean-unpatched:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	
	# * Makefile does not exist when running svn-buildpackage
	#   as the source tree is not there.
	# FIXME: This will fail with an ugly warning on the clean of the
	# modules build. However only fter the actuual clean.
	[ ! -f Makefile ] || $(MAKE) dist-clean || true
	rm -f debian/dahdi.init
	#rm -f debian/manpage.links  debian/manpage.refs debian/*.8
	dh_clean

install: install-arch install-indep

install-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	
	# Add here commands to install the package into debian/tmp
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# Until upstream kill this stupid thing:
	rm -f $(CURDIR)/debian/tmp/usr/sbin/dahdi_speed
	# Revert upstream r5533:
	rm -f $(CURDIR)/debian/tmp/usr/lib/libtonezone.so.1*

	dh_install -a --sourcedir=$(CURDIR)/debian/tmp 
	dh_installinit --update-rcd-params="defaults 15 30"

install-indep: build-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	
	
# Build architecture-independent files here.
binary-indep: build install-indep
	dh_testdir
	dh_testroot
	
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_installexamples -i $(BRISTUFF_EXAMPLES)
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install-arch
	dh_testdir
	dh_testroot
	
	dh_installdocs -a
	
	# should be removed, eventually. Still left for compatibility
	dh_installexamples -a

	
	#dh_installmodules -a
	dh_installchangelogs -a ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	# perl modules are in the arch-dep dahdi
	dh_perl -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

TARBALL_DIR=../tarballs/zaptel-$(UPVERSION).tmp
get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget  -nv -T10 -t3 --verbose -O ../tarballs/$(FILENAME) $(URL)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

## dahdi-tools 2.5.0.1

=== Makefile ===
--- 
+++ 
@@ -270,6 +270,12 @@
 		$(MAKE) -C $$dir install; \
 	done
 
+install-tests: tests
+ifneq (,$(TEST_BINS))
+	install -d $(DESTDIR)$(BIN_DIR)
+	install  $(TEST_BINS) $(DESTDIR)$(BIN_DIR)/
+endif
+
 config:
 ifneq (,$(COPY_INITD))
 	$(COPY_INITD)
@@ -401,9 +407,3 @@
 menuselect/gmenuselect: menuselect/makeopts
 	+$(MAKE_MENUSELECT) gmenuselect
 
-menuselect/nmenuselect: menuselect/makeopts
-	+$(MAKE_MENUSELECT) nmenuselect
-
-menuselect/makeopts: makeopts
-	+$(MAKE_MENUSELECT) makeopts
-

=== xpp/Makefile ===
--- 
+++ 
@@ -37,8 +37,23 @@
 # FIXME: Are those values really sane?
 HOSTCC		?= $(CC)
 
+USE_OCTASIC	:= yes
+OCTASIC_DIR	:= oct612x
 
-CFLAGS		+= -g -Wall $(USB_INCLUDE)
+ifneq (no,$(USE_OCTASIC))
+
+OCT_OBJS	= $(shell $(OCTASIC_DIR)/octasic-helper objects $(OCTASIC_DIR))
+OCT_SRCS	= $(shell echo $(OCT_OBJS) | tr -s ' ' '\n' | sed 's/\.o$$/.c/g')
+OCT_HERE_OBJS	= $(shell echo $(OCT_OBJS) | tr -s ' ' '\n' | sed 's,^.*/,,')
+OCT_CFLAGS	= $(shell $(OCTASIC_DIR)/octasic-helper cflags $(OCTASIC_DIR))
+OCT_DEFINES	= \
+	-DPTR_TYPE=uint32_t	\
+	-DcOCT6100_INTERNAL_SUPER_ARRAY_SIZE=1024	\
+	-DcOCT6100_MAX_ECHO_CHANNELS=672		\
+	-DcOCT6100_MAX_MIXER_EVENTS=1344
+
+ECHO_LOADER	= echo_loader.o
+endif
 
 %.8: %
 	pod2man --section 8 $^ > $@ || $(RM) $@
@@ -54,9 +69,12 @@
 
 PERL_MANS	= $(PERL_SCRIPTS:%=%.8)
 
-ABHEXLOAD_OBJS		= astribank_hexload.o hexfile.o pic_loader.o astribank_usb.o mpp_funcs.o debug.o
-ABTOOL_OBJS		= astribank_tool.o astribank_usb.o mpp_funcs.o debug.o
-ABALLOW_OBJS		= astribank_allow.o astribank_usb.o mpp_funcs.o debug.o
+XTALK_OBJS		= xtalk/xtalk.o xtalk/xusb.o xtalk/xlist.o xtalk/debug.o
+ASTRIBANK_OBJS		= astribank_usb.o mpptalk.o $(XTALK_OBJS)
+
+ABHEXLOAD_OBJS		= astribank_hexload.o hexfile.o pic_loader.o $(ECHO_LOADER) $(ASTRIBANK_OBJS) $(OCT_HERE_OBJS)
+ABTOOL_OBJS		= astribank_tool.o $(ASTRIBANK_OBJS)
+ABALLOW_OBJS		= astribank_allow.o $(ASTRIBANK_OBJS)
 
 TARGETS	= .perlcheck astribank_is_starting
 PROG_INSTALL	= astribank_is_starting
@@ -102,11 +120,14 @@
 	done
 endif
 
+CFLAGS		+= -I. -Ixtalk
+
 fpga_load: fpga_load.o hexfile.o
 fpga_load: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_hexload: $(ABHEXLOAD_OBJS)
 astribank_hexload: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
+astribank_hexload: CFLAGS+=$(OCT_CFLAGS)
 
 astribank_tool: $(ABTOOL_OBJS)
 astribank_tool: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
@@ -119,8 +140,25 @@
 
 fpga_load.o: CFLAGS+=-D_GNU_SOURCE	# We use memrchr()
 
+hex2iic: hex2iic.o iic.o hexfile.o
+
 test_parse: test_parse.o hexfile.o
 test_parse: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
+
+ifneq (no,$(USE_OCTASIC))
+.octasic.depend: $(OCTASIC_DIR)/octasic-helper Makefile ../config.status
+	$(CC) -MM $(OCT_CFLAGS) \
+		`$(OCTASIC_DIR)/octasic-helper objects | \
+		tr -s ' ' '\n' | \
+		sed -e 's,.*,$(OCTASIC_DIR)/&,' -e 's/\.o$$/.c/'` > $@
+
+-include .octasic.depend
+
+$(OCT_HERE_OBJS): Makefile
+	$(CC) -c $(CFLAGS) $(OCT_CFLAGS) $(OCT_DEFINES) $(OCT_SRCS)
+
+endif
+
 
 %: %.o
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
@@ -130,11 +168,11 @@
 	touch $@
 
 clean:
-	$(RM) .depend *.o $(TARGETS)
+	$(RM) .depend .octasic.depend *.o xtalk/*.o $(OCT_HERE_OBJS) $(TARGETS)
 
 .PHONY: depend
 depend: .depend
-.depend: *.c *.h
-	@$(CC) -MM *.c > $@ || rm -f $@
+.depend: *.c *.h xtalk/*.c xtalk/*.h
+	@$(CC) $(CFLAGS) -MM *.c xtalk/*.c > $@ || rm -f $@
 
 include .depend

=== debian/changelog ===
dahdi-tools (1:2.5.0.1-2) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Removed libtonezone 1.0 (zaptel) symlinks (Closes: #661396).

 -- Mark Purcell <msp@debian.org>  Sat, 07 Jul 2012 10:53:37 +1000

dahdi-tools (1:2.5.0.1-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.9.2 (no change needed).
  * Architecture: linux-any.
  * Switch to dh
    - Patch remove_dahdi_speed: Patch the source. Don't rm later on.
  *  Compat level 8, while we're at it.
  * A symbols file fir libtonezone. Verified also to match to 2.2.1.1,
    but interface has probably not changed since 2.0 .

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 26 Sep 2011 00:19:17 +0300

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

PREFIX:=dahdi
PACKAGE_SRC:=$(PREFIX)-tools

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//')
UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/~dfsg\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')

UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz

%:
	dh $@

override_dh_auto_build:
	$(MAKE) programs docs
	# FIXME: xpp/README.Astribank.html


override_dh_auto_install:
	# Without this dahdi.init does not get copied:
	mkdir -p $(CURDIR)/debian/tmp/etc/init.d
	# also run the 'config' target, in addition to the 'install' target:
	dh_auto_install -- config

override_dh_installinit:
	dh_installinit --onlyscripts -p dahdi

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

TARBALL_DIR=../tarballs/zaptel-$(UPVERSION).tmp
get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget  -nv -T10 -t3 --verbose -O ../tarballs/$(FILENAME) $(URL)
